<?php

require_once "../controladores/asistenciaAlu.controlador.php";
require_once "../modelos/asistenciaAlu.modelo.php";

class ajaxAsistenciaAlu{
     //public $fecha;
    // public $anio;

     public $IDASISTENCIA_ALU;
     public $FECHA; 
     public $HORA; 
     public $CODMATRICULA; 
     public $COD_ALU; 
     public $DNI_ALU; 
     public $CODGRADO; 
     public $CODSECC; 
     public $CODAREA; 
     public $NCORTO; 
     public $ESTADO;
     public $TIPO_ASISTENCIA;
     public $OBSERVACION;

    /* ========================================================================================
       esta funcion sirve para crear los registro a trabajar el dia, solo creara una sola vez 
       ======================================================================================== */ 

     public function ajaxCrearListaAsistencia($fecha){

        $asistenciaAlu = AsistenciaAluControlador::ctrCrearAsistenciaDelDia($fecha);
          
        echo json_encode($asistenciaAlu);
       
    }

    public function ajaxActualizaAsistencia(){
        //$table="asistencia_alu"; 
        //$estado=2; //estudiante asistio 
        //$nameId="codigo_producto";

        $respuesta= AsistenciaAluControlador::ctrActualizaAsistencia($this->FECHA, 
                                                                     $this->HORA, 
                                                                     $this->DNI_ALU,
                                                                    $this->ESTADO, 
                                                                    $this->TIPO_ASISTENCIA,
                                                                    $this->OBSERVACION);
        echo json_encode($respuesta);
    }


    public function ajaxListarAsistenciaAlu(){
         $respuesta= AsistenciaAluControlador::ctrListar($this->FECHA, $this->ESTADO);
         echo json_encode($respuesta);

    }
    
        /* =================================================================
        LISTAR NOMBRE DE PRODUCTOS PARA INPUT DE AUTOCOMPLETADO
    ==================================================================*/
    public function ajaxListarNombreEstudiante(){
        $NombreProductos = asistenciaAluControlador::ctrListarNombreEstudiante();
        echo json_encode($NombreProductos);
    }


}


if (isset($_POST['accion']) && $_POST['accion']==1){ //parametro para crear el listado del día

    $crearListado = new ajaxAsistenciaAlu();

   // $data=Array("FECHA" => $_POST["FECHA"]);
    $fecha=$_POST["FECHA"];
    $crearListado->ajaxCrearListaAsistencia($fecha);

}else if (isset($_POST['accion']) && $_POST['accion']==2){

    $registraAsistencia = new ajaxAsistenciaAlu();

    $registraAsistencia -> FECHA =$_POST["FECHA"];
    $registraAsistencia -> HORA = $_POST["HORA"];
    $registraAsistencia -> DNI_ALU = $_POST["DNI"];
    $registraAsistencia -> ESTADO = $_POST['ESTADO'];
    $registraAsistencia -> TIPO_ASISTENCIA = $_POST['TIPO_ASISTENCIA'];
    $registraAsistencia -> OBSERVACION = $_POST['OBS'];
    //CALL sp_actualizaAsistencia('2022-02-18', CURTIME(),'61484444',2,'PUNTUAL');

/*    $data=Array(
                "FECHA" => $_POST["FECHA"],
                "HORA" => $_POST["HORA"], 
                "DNI" => $_POST["DNI"],
                "ESTADO" => $_POST['ESTADO'],   
                "OBS" => $_POST['OBS'] 
            );*/
 
    $registraAsistencia->ajaxActualizaAsistencia();
}else if (isset($_POST['accion']) && $_POST['accion']==3){ // listar

    $listar = new ajaxAsistenciaAlu();
    $listar -> FECHA =$_POST['FECHA'];
    $listar -> ESTADO = $_POST['ESTADO'];
   // $listar -> TIPO_ASISTENCIA = $_POST['TIPO_ASISTENCIA'];

    $listar -> ajaxListarAsistenciaAlu();

}else if (isset($_POST['accion']) && $_POST['accion']==6){ //para el autocompletar de ventas

    $nombreEst = new ajaxAsistenciaAlu();
    $nombreEst->ajaxListarNombreEstudiante();
}